Can't compile Serpent v1.x on Cygwin due to MPI

Compiler issues (Intel compiler, mpicc, etc.), data libraries and everything needed to get Serpent running is discussed here
Post Reply
fdeguillaume
Posts: 4
Joined: Sun Jun 02, 2019 6:12 pm
Security question 1: No
Security question 2: 19

Can't compile Serpent v1.x on Cygwin due to MPI

Post by fdeguillaume » Tue Jun 11, 2019 8:10 pm

Hi,

I installer Cygwin on a Windows computer.

But when I try to compile Serpent v1.x, it stops on the error that it can't find a .h file related with MPI.
I commented the MPI option in the Makefile, but I still get the error.

- So should I install MPI on Cygwin ? Is it Open MPI? How should I do?
- Is it possible to compile without MPI (and not have this compilation error)?

Thanks in avance for your help
Frederic

User avatar
Jaakko Leppänen
Site Admin
Posts: 2167
Joined: Thu Mar 18, 2010 10:43 pm
Security question 2: 0
Location: Espoo, Finland
Contact:

Re: Can't compile Serpent v1.x on Cygwin due to MPI

Post by Jaakko Leppänen » Wed Jun 12, 2019 10:11 am

Unfortunately, we don't really support on installation to Cygwin. It has been done by several users, but nobody at the developer team has any experience on this.
- Jaakko

Post Reply